# Get Current Metrics

> Channels API · Metrics

```http
GET /api/channel-metrics/current/
```

Get instantaneous server metrics. Use $select to limit fields.

## Authentication

- `Authorization` header — Bearer authentication of the form `Bearer <token>`.

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `$select` | object | No | Comma-separated fields: serverId, cpuUtilizationPercent, temperatureCelsius, uptimeSeconds |

## Example request

```bash
curl -X GET "/api/channel-metrics/current/" \
  -H "Authorization: Bearer <token>"
```

## Responses

### 200 — Successful Response

- `data` · object · **Required** — Selectable fields for current metrics.
  - `serverId` · object · Optional
    - One of the following variants:
      - **string** (string)
      - **null** (null)
  - `cpuUtilizationPercent` · object · Optional
    - One of the following variants:
      - **number** (double)
      - **null** (null)
  - `temperatureCelsius` · object · Optional
    - One of the following variants:
      - **number** (double)
      - **null** (null)
  - `uptimeSeconds` · object · Optional
    - One of the following variants:
      - **number** (double)
      - **null** (null)
- `collectedAt` · string · **Required** · _format: date-time_

Example:

```json
{
  "data": {
    "serverId": "string",
    "cpuUtilizationPercent": 0,
    "temperatureCelsius": 0,
    "uptimeSeconds": 0
  },
  "collectedAt": "2024-01-01T00:00:00Z"
}
```

### 422 — Validation Error

- `detail` · list of objects · Optional
  - Array items (object):
    - `loc` · list of objects · **Required**
      - Array items (object):
        - One of the following variants:
          - **string** (string)
          - **integer** (integer)
    - `msg` · string · **Required**
    - `type` · string · **Required**
    - `input` · any · Optional
    - `ctx` · object · Optional

Example:

```json
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
```

---

Source spec: `channels-api` · operationId: `get_current_metrics_metrics_current__get`
